Bug 45136 - PC freezes with math document including grids created with Sinequanon in WMF image format
Summary: PC freezes with math document including grids created with Sinequanon in WMF ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2012-01-23 10:01 UTC by Maderios
Modified: 2018-11-18 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
math document causing the bug (449.50 KB, application/msword)
2012-01-23 10:01 UTC, Maderios
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maderios 2012-01-23 10:01:45 UTC
Created attachment 56048 [details]
math document causing the bug

Problem description:
Important: This bug concerns only the Linux version of LibreOffice. No problem with the Windows version.
I try to open and edit this math document including grids created with Sinequanon software
http://dl.free.fr/getfile.pl?file=/7xfy7rZr
It's very slow to open, the PC freezes, mainly when scrolling, the cpu is near 100%. It's impossible to edit this document.
When removing the grids, the bug disappears.
Sinequanon software is here:
http://patrice.rabiller.pagesperso-orange.fr/SineQuaNon/menusqn.htm
System:
Debian Squeeze and Wheezy
My hardware:
Core I7 Sandybridge 8Go Ram
Graphic card: 
Nvidia Quadro 600, 1Go memory
Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux x86_64; rv:8.0) Gecko/20100101 Firefox/8.0 Iceweasel/8.0
Comment 1 Maderios 2012-01-23 10:06:51 UTC
I described the bug there. It was reproduced by several people
https://linuxfr.org/forums/linuxg%C3%A9n%C3%A9ral/posts/probleme-libreoffice-avec-les-maths
Comment 2 tester8 2012-01-26 13:30:44 UTC
Reproduced with

LOdev 3.5.0rc1
e40af8c-10029e3-615e522-88673a2-727f724
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI
Comment 3 Jean-Baptiste Faure 2012-12-16 08:06:42 UTC
I think the problem is the anti-aliasing for the graphics, mainly the grids which are strangely made.
To workaround: menu Tools > Options > LibreOffice > View > uncheck Use Anti-Aliasing (under Graphics Output).

Tested with Version 4.0.0.0.beta1+ (Build ID: 789ec89fceb949eee482ecb7731a3d7b1ac0660)

I do not have a MS-Windows version at hand to check if Anti-Aliasing for graphics output is enabled.

Best regards. JBF
Comment 4 QA Administrators 2015-01-05 17:52:30 UTC Comment hidden (obsolete)
Comment 5 Jean-Baptiste Faure 2015-01-07 05:49:45 UTC
Nothing really changed: scrolling is smoother if antialiasing is disabled for graphics as stated in comment #3.
Tested with LibreOffice 4.4.0.1.0+ built at home under Ubuntu 14.10.

Best regards. JBF
Comment 6 QA Administrators 2016-09-20 10:14:20 UTC Comment hidden (obsolete)
Comment 7 Jean-Baptiste Faure 2016-09-24 19:58:54 UTC
Nothing really changed.
If I am not wrong the grids are WMF images, that is a format which is not intended to be interoperable.

Best regards. JBF
Comment 8 Jean-Baptiste Faure 2016-09-24 20:11:56 UTC
I guess it is a duplicate of bug 45820.

Best regards. JBF
Comment 9 QA Administrators 2017-11-17 09:11:01 UTC Comment hidden (obsolete)
Comment 10 Jean-Baptiste Faure 2017-11-17 17:30:07 UTC
No problem anymore with LO 5.4 and current master. I tried with and without OpenGL enabled.

@Madeiros: please could you try again with your current LO version?

Best regards. JBF
Comment 11 QA Administrators 2018-11-18 03:42:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug